#!/bin/bash

PROTOCOL_VERSION='3.0.0'


function process {
  if [ -f /etc/mail/aliases ]; then
    # Sendmail
    DST_FILE="/etc/mail/aliases"
  else
    DST_FILE="/etc/aliases"
  fi

  ### Status codes
  I_CHANGED=(0 "${DST_FILE} updated")
  I_NOT_CHANGED=(0 "${DST_FILE} has not changed")

  OLD="${DST_FILE}.old.perun"
  FROM_PERUN="${WORK_DIR}/mailaliases"

  create_lock

  # Create diff between old.perun and .new
  diff_update "${OLD}" "${FROM_PERUN}" "${DST_FILE}" \
          &&  log_msg I_CHANGED && newaliases \
          || log_msg I_NOT_CHANGED
}
