#!/bin/bash

PROTOCOL_VERSION='3.0.0'

function process {
  ### Status codes
  I_CHANGED=(0 "${DST_FILE} updated")
  I_NOT_CHANGED=(0 "${DST_FILE} has not changed")

  FROM_PERUN="${WORK_DIR}/openvpn"
  DST_FILE=/opt/openvpn/etc/pki-perun
	OLD=${DST_FILE}.old

  create_lock

  # Create diff between .old and .new
  diff_update "${OLD}" "${FROM_PERUN}" "${DST_FILE}" \
          && log_msg I_CHANGED \
          || log_msg I_NOT_CHANGED
}
